Wallet API Authorization Reference
Find which authentication methods are supported for each Wallet API endpoint.
For information about each authentication method, see Wallet API Security.
Authorization per authentication method
The following table indicates supported authentication methods per endpoint in the Wallet API. See the column for each authentication method to understand what access it allows. For OAuth 2.0, it lists the scope that allows access to the endpoint.
| Operation | Endpoint | Public | Basic Auth | OAuth 2.0 |
|---|---|---|---|---|
| Create Adaptive Link | POST /links/adaptive | Adaptive Links | ||
| Create boarding pass or event ticket Adaptive Links | POST /links/adaptive/multiple/project/{projectId} | Adaptive Links | ||
| Delete Adaptive Link | DELETE /links/adaptive/{adaptiveLinkId} | Adaptive Links | ||
| Generate multiple passes from a single Adaptive Link | GET /pass/adaptive | |||
| Generate pass from Adaptive Link | GET /pass/adaptive/{adaptiveLinkId}/{deviceType} | |||
| Get Adaptive Link | GET /links/adaptive/{adaptiveLinkId} | Adaptive Links | ||
| List Adaptive Links | GET /links/adaptive | |||
| List Adaptive Links for a project | GET /links/adaptive/projects/{projectId} | Adaptive Links | ||
| List Adaptive Links for a template | GET /links/adaptive/projects/{projectId}/templates/{templateId} | Adaptive Links | ||
| List passes for an Adaptive Link | GET /links/adaptive/{adaptiveLinkId}/passes | Passes | ||
| List passes for an Adaptive Link for a project | GET /links/adaptive/project/{projectId}/id/{adaptiveLinkExternalId}/passes | Passes | ||
| List passes for an Adaptive Link for an external project | GET /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId}/passes | Adaptive Links | ||
| Update Adaptive Link | PUT /links/adaptive/{adaptiveLinkId} | Adaptive Links | ||
| Create Adaptive Link | POST /links/adaptive/project/{projectId}/id/{adaptiveLinkExternalId} | Adaptive Links | ||
| Create Adaptive Link in project | POST /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId} | Adaptive Links | ||
| Get Adaptive Link | GET /links/adaptive/project/{projectId}/id/{adaptiveLinkExternalId} | Adaptive Links | ||
| Get Adaptive Link from project | GET /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId} | Adaptive Links | ||
| Get pass from Adaptive Link | GET /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId}/passes/id/{passExternalId} | Passes | ||
| Get passes from Adaptive Link | GET /links/adaptive/{adaptiveLinkId}/passes/id/{passExternalId} | Passes | ||
| Update passes from Adaptive Link | PUT /links/adaptive/{adaptiveLinkId}/passes/id/{passExternalId} | Passes | ||
| Update passes from Adaptive Link for an external project | PUT /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId}/passes/id/{passExternalId} | Passes | ||
| Add or update beacons for Apple Wallet pass | PUT /pass/template/{templateId}/id/{passExternalId}/beacons | Passes | ||
| Download Apple Wallet .pkpass | GET /pass/{passId}/download | Passes | ||
| Download Apple Wallet .pkpass with external ID | GET /pass/template/{templateId}/id/{passExternalId}/download | Passes | ||
| Download multiple Apple Wallet Passes in a single .pkpass file | GET /pass/download | Passes | ||
| Download multiple Apple Wallet Passes with external IDs in a single .pkpass file | GET /pass/template/{templateId}/download | Passes | ||
| List beacons on Apple Wallet pass | GET /pass/template/{templateId}/id/{passExternalId}/beacons | Passes | ||
| View Apple Wallet JSON | GET /pass/{passId}/viewJSONPass | Passes | ||
| View Apple Wallet JSON with external ID | GET /pass/id/{passExternalId}/viewJSONPass | Passes | ||
| Add personalization requirements | POST /template/{templateId}/personalization | Templates | ||
| Delete personalization requirements | DELETE /template/{templateId}/personalization | Templates | ||
| Get personalization requirements | GET /template/{templateId}/personalization | Templates | ||
| Update personalization requirements | PUT /template/{templateId}/personalization | Templates | ||
| Create callback specification | POST /project/{projectId}/settings/callback | |||
| Delete callback specification | DELETE /project/{projectId}/settings/callback | |||
| Get callback specification | GET /project/{projectId}/settings/callback | |||
| Update callback specification | PUT /project/{projectId}/settings/callback | |||
| Add new certificate | POST /certificates | |||
| Get certificate | GET /certificates/{id} | |||
| List certificates | GET /certificates | |||
| Remove certificate | DELETE /certificates/{id} | |||
| Update certificate | PUT /certificates/{id} | |||
| List event passes | GET /events/project/{projectId}/{eventId}/passes | Passes | ||
| Add event to pass group | POST /events/project/{projectId}/{eventId}/passGroups | Events | ||
| Create event | POST /events/project/{projectId} | Events | ||
| Create event with external ID | POST /events/project/id/{projectExternalId}/id/{eventExternalId} | Events | ||
| Delete event | DELETE /events/project/{projectId}/{eventId} | Events | ||
| Get event | GET /events/project/{projectId}/{eventId} | Events | ||
| List pass groups for event | GET /events/project/{projectId}/{eventId}/passGroups | Events | ||
| Remove event from pass group | DELETE /events/project/{projectId}/{eventId}/passGroups/{passGroup} | Events | ||
| Update event | PUT /events/project/{projectId}/{eventId} | Events | ||
| Update events in a pass group | PUT /events/project/{projectId}/passGroups/{passGroup} | Events | ||
| List flight passes | GET /flights/project/{projectId}/{flightId}/passes | Passes | ||
| Add flight to a pass group | POST /flights/project/{projectId}/{flightId}/passGroups | Flights | ||
| Create flight | POST /flights/project/{projectId} | Flights | ||
| Create flight with external ID | POST /flights/project/id/{projectExternalId}/id/{flightExternalId} | Flights | ||
| Delete flight | DELETE /flights/project/{projectId}/{flightId} | Flights | ||
| Get flight | GET /flights/project/{projectId}/{flightId} | Flights | ||
| List pass groups for a flight | GET /flights/project/{projectId}/{flightId}/passGroups | Flights | ||
| Remove flight from pass group | DELETE /flights/project/{projectId}/{flightId}/passGroups/{passGroup} | Flights | ||
| Update flight | PUT /flights/project/{projectId}/{flightId} | Flights | ||
| Update flights in a pass group | PUT /flights/project/{projectId}/passGroups/{passGroup} | Flights | ||
| Update flights with external ID in a pass group | PUT /flights/project/id/{projectExternalId}/id/passGroups/{passGroup} | Flights | ||
| Add message to Google Pass | POST /pass/{passId}/message | Passes | ||
| Add message to Google Pass with external ID | POST /pass/template/{templateId}/id/{passExternalId}/message | Passes | ||
| Get messages for Google Pass | GET /pass/{passId}/message | Passes | ||
| Get messages for Google Pass with external ID | GET /pass/template/{templateId}/id/{passExternalId}/message | Passes | ||
| Save to Google Wallet | POST /pass/{templateId}/saveToWallet | Passes | ||
| Verify public key | GET /verify/public_key/{kid} | |||
| Add locations to pass | POST /pass/{passId}/locations | Passes | ||
| Create pass | POST /pass/{id} | Passes | ||
| Delete locations from pass | DELETE /pass/{passId}/location/{passLocationId} | Passes | ||
| Delete pass | DELETE /pass/{id} | Passes | ||
| Generates a pass | POST /pass/{id}/dynamic | Passes | ||
| Get pass | GET /pass/{id} | Passes | ||
| List passes | GET /pass | Passes | ||
| List passes for a tag | GET /tag/{tag}/passes | Passes | ||
| List passes for an Adaptive Link | GET /links/adaptive/{adaptiveLinkId}/passes | Passes | ||
| Update pass | PUT /pass/{id} | Passes | ||
| Add locations to pass | POST /pass/template/{templateId}/id/{passExternalId}/locations | Passes | ||
| Create pass | POST /pass/template/{templateId}/id/{passExternalId} | Passes | ||
| Create pass from a template | POST /pass/id/{templateExternalId}/id/{passExternalId} | Passes | ||
| Delete locations from pass | DELETE /pass/template/{templateId}/id/{passExternalId}/location/{locationId} | Passes | ||
| Delete pass | DELETE /pass/template/{templateId}/id/{passExternalId} | Passes | ||
| Get pass | GET /pass/template/{templateId}/id/{passExternalId} | Passes | ||
| Update pass | PUT /pass/id/{externalId} | Passes | ||
| Update pass for a template | PUT /pass/template/{templateId}/id/{passExternalId} | Passes | ||
| Add NFC merchant | POST /project/{projectId}/nfcMerchants | Projects | ||
| Create project | POST /project | |||
| Create project with external ID | POST /project/id/{externalId} | |||
| Delete NFC merchant | DELETE /project/{projectId}/nfcMerchants/{merchantId} | Projects | ||
| Duplicate project | POST /project/duplicate/{projectId} | |||
| Get NFC merchant | GET /project/{projectId}/nfcMerchants/{merchantId} | Projects | ||
| Get project | GET /project/{projectId} | |||
| List NFC merchants | GET /project/{projectId}/nfcMerchants | Projects | ||
| List projects | GET /project | |||
| Update NFC merchant information | PUT /project/{projectId}/nfcMerchants/{merchantId} | Projects | ||
| Update project | PUT /project/{projectId} | |||
| Delete notification by pass | DELETE /pass/{passId}/notify | Notifications | ||
| Delete notification by pass with external ID | DELETE /pass/template/{templateId}/id/{passExternalId}/notify | Notifications | ||
| Delete notification by segment | DELETE /segments/{projectId}/{segmentId}/notify | Notifications | ||
| Delete notification by tag | DELETE /tag/{tag}/notify | Notifications | ||
| Delete notification by template | DELETE /template/{templateId}/notify | Notifications | ||
| Send notification by pass | POST /pass/{passId}/notify | Notifications | ||
| Send notification by pass with external ID | POST /pass/template/{templateId}/id/{passExternalId}/notify | Notifications | ||
| Send notification by segment | POST /segments/{projectId}/{segmentId}/notify | Notifications | ||
| Send notification by tag | POST /tag/{tag}/notify | Notifications | ||
| Send notification by template | POST /template/{templateId}/notify | Notifications | ||
| Delete schedule | DELETE /schedules/{projectId}/{scheduleId} | Schedules | ||
| Get schedule | GET /schedules/{projectId}/{scheduleId} | Schedules | ||
| List schedules | GET /schedules/{projectId} | Schedules | ||
| Schedule an update or push notification | POST /schedules/{projectId} | Schedules | ||
| Update schedule | PUT /schedules/{projectId}/{scheduleId} | Schedules | ||
| Create segment | POST /segments/{projectId} | Segments | ||
| Delete segment | DELETE /segments/{projectId}/{segmentId} | Segments | ||
| List segments | GET /segments/{projectId} | Segments | ||
| Look up segment | GET /segments/{projectId}/{segmentId} | Segments | ||
| Update passes by segment | PUT /segments/{projectId}/{segmentId}/passes | Passes | ||
| Update segment | PUT /segments/{projectId}/{segmentId} | Segments | ||
| Pass statistics with external ID | GET /pass/id/{externalId}/stats | Statistics | ||
| Project activity | GET /project/{projectId}/activity | Statistics | ||
| Project statistics | GET /project/{projectId}/stats | Statistics | ||
| Tag statistics | GET /tag/{tag}/stats | Statistics | ||
| Template activity | GET /template/{templateId}/activity | Statistics | ||
| Template statistics | GET /template/{templateId}/stats | Statistics | ||
| Add tags to pass | PUT /pass/{passId}/tags | Passes | ||
| Delete tag | DELETE /tag/{tag} | |||
| List all tags | GET /tag | |||
| List passes for a tag | GET /tag/{tag}/passes | Passes | ||
| List tags for pass | GET /pass/{passId}/tags | Passes | ||
| List tags for pass with external ID | GET /pass/template/{templateId}/id/{passExternalId}/tags | Passes | ||
| Remove tag from a pass | DELETE /tag/{tag}/pass/{pass} | Passes | ||
| Remove tag from all passes | DELETE /tag/{tag}/passes | Passes | ||
| Update passes by tag | PUT /tag/{tag}/passes | Passes | ||
| Update tags for pass with external ID | PUT /pass/template/{templateId}/id/{passExternalId}/tags | Passes | ||
| Add locations to template | POST /template/{templateId}/locations | Templates | ||
| Create template | POST /template/{id} | Templates | ||
| Create template with external ID | POST /template/{projectId}/id/{templateExternalId} | Templates | ||
| Delete location from template | DELETE /template/{templateId}/location/{locationId} | Templates | ||
| Delete template | DELETE /template/{id} | Templates | ||
| Duplicate template | POST /template/duplicate/{templateId} | Templates | ||
| Get template | GET /template/{id} | Templates | ||
| Get template passes | GET /template/{templateId}/passes | Passes | ||
| Get template v2 | GET /templates/{id} | Templates | ||
| List templates | GET /template/headers | Templates | ||
| Patch template | PATCH /templates/{id} | Templates | ||
| Publish a bulk update to passes | PUT /template/{templateId}/passes | Passes | ||
| Update template | PUT /template/{id} | Templates | ||
| Update template v2 | PUT /templates/{id} | Templates | ||
| Check system status | GET /system/status | |||
| Get ticket status | GET /ticket/{ticketId} |
OAuth token scopes
Refer to the following sections when setting permissions for OAuth client credentials.
Adaptive Links
The Adaptive Links (wadl) scope includes endpoints that manage adaptive links.
| Operation | Endpoint |
|---|---|
| Create Adaptive Link | POST /links/adaptive |
| Create boarding pass or event ticket Adaptive Links | POST /links/adaptive/multiple/project/{projectId} |
| Delete Adaptive Link | DELETE /links/adaptive/{adaptiveLinkId} |
| Get Adaptive Link | GET /links/adaptive/{adaptiveLinkId} |
| List Adaptive Links for a project | GET /links/adaptive/projects/{projectId} |
| List Adaptive Links for a template | GET /links/adaptive/projects/{projectId}/templates/{templateId} |
| List passes for an Adaptive Link for an external project | GET /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId}/passes |
| Update Adaptive Link | PUT /links/adaptive/{adaptiveLinkId} |
| Create Adaptive Link | POST /links/adaptive/project/{projectId}/id/{adaptiveLinkExternalId} |
| Create Adaptive Link in project | POST /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId} |
| Get Adaptive Link | GET /links/adaptive/project/{projectId}/id/{adaptiveLinkExternalId} |
| Get Adaptive Link from project | GET /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId} |
Events
The Events (wevt) scope includes endpoints that manage events for event tickets.
| Operation | Endpoint |
|---|---|
| Add event to pass group | POST /events/project/{projectId}/{eventId}/passGroups |
| Create event | POST /events/project/{projectId} |
| Create event with external ID | POST /events/project/id/{projectExternalId}/id/{eventExternalId} |
| Delete event | DELETE /events/project/{projectId}/{eventId} |
| Get event | GET /events/project/{projectId}/{eventId} |
| List pass groups for event | GET /events/project/{projectId}/{eventId}/passGroups |
| Remove event from pass group | DELETE /events/project/{projectId}/{eventId}/passGroups/{passGroup} |
| Update event | PUT /events/project/{projectId}/{eventId} |
| Update events in a pass group | PUT /events/project/{projectId}/passGroups/{passGroup} |
Flights
The Flights (wfli) scope includes endpoints that manage flights for boarding passes.
| Operation | Endpoint |
|---|---|
| Add flight to a pass group | POST /flights/project/{projectId}/{flightId}/passGroups |
| Create flight | POST /flights/project/{projectId} |
| Create flight with external ID | POST /flights/project/id/{projectExternalId}/id/{flightExternalId} |
| Delete flight | DELETE /flights/project/{projectId}/{flightId} |
| Get flight | GET /flights/project/{projectId}/{flightId} |
| List pass groups for a flight | GET /flights/project/{projectId}/{flightId}/passGroups |
| Remove flight from pass group | DELETE /flights/project/{projectId}/{flightId}/passGroups/{passGroup} |
| Update flight | PUT /flights/project/{projectId}/{flightId} |
| Update flights in a pass group | PUT /flights/project/{projectId}/passGroups/{passGroup} |
| Update flights with external ID in a pass group | PUT /flights/project/id/{projectExternalId}/id/passGroups/{passGroup} |
Notifications
The Notifications (wnot) scope includes endpoints that send pass notifications.
| Operation | Endpoint |
|---|---|
| Delete notification by pass | DELETE /pass/{passId}/notify |
| Delete notification by pass with external ID | DELETE /pass/template/{templateId}/id/{passExternalId}/notify |
| Delete notification by segment | DELETE /segments/{projectId}/{segmentId}/notify |
| Delete notification by tag | DELETE /tag/{tag}/notify |
| Delete notification by template | DELETE /template/{templateId}/notify |
| Send notification by pass | POST /pass/{passId}/notify |
| Send notification by pass with external ID | POST /pass/template/{templateId}/id/{passExternalId}/notify |
| Send notification by segment | POST /segments/{projectId}/{segmentId}/notify |
| Send notification by tag | POST /tag/{tag}/notify |
| Send notification by template | POST /template/{templateId}/notify |
Passes
The Passes (wpas) scope includes endpoints that manage passes.
| Operation | Endpoint |
|---|---|
| List passes for an Adaptive Link | GET /links/adaptive/{adaptiveLinkId}/passes |
| List passes for an Adaptive Link for a project | GET /links/adaptive/project/{projectId}/id/{adaptiveLinkExternalId}/passes |
| Get pass from Adaptive Link | GET /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId}/passes/id/{passExternalId} |
| Get passes from Adaptive Link | GET /links/adaptive/{adaptiveLinkId}/passes/id/{passExternalId} |
| Update passes from Adaptive Link | PUT /links/adaptive/{adaptiveLinkId}/passes/id/{passExternalId} |
| Update passes from Adaptive Link for an external project | PUT /links/adaptive/project/id/{projectExternalId}/id/{adaptiveLinkExternalId}/passes/id/{passExternalId} |
| Add or update beacons for Apple Wallet pass | PUT /pass/template/{templateId}/id/{passExternalId}/beacons |
| Download Apple Wallet .pkpass | GET /pass/{passId}/download |
| Download Apple Wallet .pkpass with external ID | GET /pass/template/{templateId}/id/{passExternalId}/download |
| Download multiple Apple Wallet Passes in a single .pkpass file | GET /pass/download |
| Download multiple Apple Wallet Passes with external IDs in a single .pkpass file | GET /pass/template/{templateId}/download |
| List beacons on Apple Wallet pass | GET /pass/template/{templateId}/id/{passExternalId}/beacons |
| View Apple Wallet JSON | GET /pass/{passId}/viewJSONPass |
| View Apple Wallet JSON with external ID | GET /pass/id/{passExternalId}/viewJSONPass |
| List event passes | GET /events/project/{projectId}/{eventId}/passes |
| List flight passes | GET /flights/project/{projectId}/{flightId}/passes |
| Add message to Google Pass | POST /pass/{passId}/message |
| Add message to Google Pass with external ID | POST /pass/template/{templateId}/id/{passExternalId}/message |
| Get messages for Google Pass | GET /pass/{passId}/message |
| Get messages for Google Pass with external ID | GET /pass/template/{templateId}/id/{passExternalId}/message |
| Save to Google Wallet | POST /pass/{templateId}/saveToWallet |
| Add locations to pass | POST /pass/{passId}/locations |
| Create pass | POST /pass/{id} |
| Delete locations from pass | DELETE /pass/{passId}/location/{passLocationId} |
| Delete pass | DELETE /pass/{id} |
| Generates a pass | POST /pass/{id}/dynamic |
| Get pass | GET /pass/{id} |
| List passes | GET /pass |
| List passes for a tag | GET /tag/{tag}/passes |
| List passes for an Adaptive Link | GET /links/adaptive/{adaptiveLinkId}/passes |
| Update pass | PUT /pass/{id} |
| Add locations to pass | POST /pass/template/{templateId}/id/{passExternalId}/locations |
| Create pass | POST /pass/template/{templateId}/id/{passExternalId} |
| Create pass from a template | POST /pass/id/{templateExternalId}/id/{passExternalId} |
| Delete locations from pass | DELETE /pass/template/{templateId}/id/{passExternalId}/location/{locationId} |
| Delete pass | DELETE /pass/template/{templateId}/id/{passExternalId} |
| Get pass | GET /pass/template/{templateId}/id/{passExternalId} |
| Update pass | PUT /pass/id/{externalId} |
| Update pass for a template | PUT /pass/template/{templateId}/id/{passExternalId} |
| Update passes by segment | PUT /segments/{projectId}/{segmentId}/passes |
| Add tags to pass | PUT /pass/{passId}/tags |
| List passes for a tag | GET /tag/{tag}/passes |
| List tags for pass | GET /pass/{passId}/tags |
| List tags for pass with external ID | GET /pass/template/{templateId}/id/{passExternalId}/tags |
| Remove tag from a pass | DELETE /tag/{tag}/pass/{pass} |
| Remove tag from all passes | DELETE /tag/{tag}/passes |
| Update passes by tag | PUT /tag/{tag}/passes |
| Update tags for pass with external ID | PUT /pass/template/{templateId}/id/{passExternalId}/tags |
| Get template passes | GET /template/{templateId}/passes |
| Publish a bulk update to passes | PUT /template/{templateId}/passes |
Projects
The Projects (wprj) scope includes endpoints that manage projects.
| Operation | Endpoint |
|---|---|
| Add NFC merchant | POST /project/{projectId}/nfcMerchants |
| Delete NFC merchant | DELETE /project/{projectId}/nfcMerchants/{merchantId} |
| Get NFC merchant | GET /project/{projectId}/nfcMerchants/{merchantId} |
| List NFC merchants | GET /project/{projectId}/nfcMerchants |
| Update NFC merchant information | PUT /project/{projectId}/nfcMerchants/{merchantId} |
Statistics
The Statistics (wrpt) scope includes endpoints that read pass statistics.
| Operation | Endpoint |
|---|---|
| Pass statistics with external ID | GET /pass/id/{externalId}/stats |
| Project activity | GET /project/{projectId}/activity |
| Project statistics | GET /project/{projectId}/stats |
| Tag statistics | GET /tag/{tag}/stats |
| Template activity | GET /template/{templateId}/activity |
| Template statistics | GET /template/{templateId}/stats |
Schedules
The Schedules (wsch) scope includes endpoints that manage schedules.
| Operation | Endpoint |
|---|---|
| Delete schedule | DELETE /schedules/{projectId}/{scheduleId} |
| Get schedule | GET /schedules/{projectId}/{scheduleId} |
| List schedules | GET /schedules/{projectId} |
| Schedule an update or push notification | POST /schedules/{projectId} |
| Update schedule | PUT /schedules/{projectId}/{scheduleId} |
Segments
The Segments (wseg) scope includes endpoints that manage segments.
| Operation | Endpoint |
|---|---|
| Create segment | POST /segments/{projectId} |
| Delete segment | DELETE /segments/{projectId}/{segmentId} |
| List segments | GET /segments/{projectId} |
| Look up segment | GET /segments/{projectId}/{segmentId} |
| Update segment | PUT /segments/{projectId}/{segmentId} |
Templates
The Templates (wtmp) scope includes endpoints that manage templates.
| Operation | Endpoint |
|---|---|
| Add personalization requirements | POST /template/{templateId}/personalization |
| Delete personalization requirements | DELETE /template/{templateId}/personalization |
| Get personalization requirements | GET /template/{templateId}/personalization |
| Update personalization requirements | PUT /template/{templateId}/personalization |
| Add locations to template | POST /template/{templateId}/locations |
| Create template | POST /template/{id} |
| Create template with external ID | POST /template/{projectId}/id/{templateExternalId} |
| Delete location from template | DELETE /template/{templateId}/location/{locationId} |
| Delete template | DELETE /template/{id} |
| Duplicate template | POST /template/duplicate/{templateId} |
| Get template | GET /template/{id} |
| Get template v2 | GET /templates/{id} |
| List templates | GET /template/headers |
| Patch template | PATCH /templates/{id} |
| Update template | PUT /template/{id} |
| Update template v2 | PUT /templates/{id} |